- name: Install neovim
  become: true
  package:
    name:
      - neovim
    state: present

- name: Prepare vim config directory
  file:
    path: ~/.config/nvim/
    state: directory
    mode: '0755'

- name: clone Packer repo (Install packer)
  ansible.builtin.git:
    repo: https://github.com/wbthomason/packer.nvim.git
    depth: 1
    dest: ~/.local/share/nvim/site/pack/packer/start/packer.nvim
    update: no

- name: Copy nvim config directory
  copy:
    src: dotfiles/nvim/
    dest: ~/.config/nvim/
